%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary:	Gerber file viewer
Name: 		gerbv
Version:	2.6.1
Release: 	%mkrel 2
Source:		http://sourceforge.net/projects/pcb/files/{name}/%{name}-%{version}.tar.gz
Patch0:		desktop-category.patch
Patch1:		gerbv-2.6.1-header-macro.patch
Patch2:		gerbv-2.6.1-no-translation.patch
# Originally from upstream git, modified to apply after P1:
# http://git.geda-project.org/gerbv/commit/?id=adbb22bd
Patch3:		gerbv-2.6.1-specify-m4-macro-dir.patch
# From upstream git:
# http://git.geda-project.org/gerbv/commit/?id=5a9ef1bb
Patch4:		gerbv-2.6.1-automake.patch
URL:		http://gerbv.gpleda.org/
License:	GPLv2+
Group: 		Sciences/Other
BuildRequires:	gtk+2-devel glib2-devel pango-devel atk-devel freetype2-devel gettext-devel
Suggests:	%name-examples = %version

%description
Gerbv is a viewer for Gerber files. Gerber files are generated from PCB CAD
system and sent to PCB manufacturers as basis for the manufacturing process.

%package examples
Summary:	Gerber file examples for gerbv
Requires:	gerbv
Group: 		Sciences/Other

%description examples
Example files for gerbv.

%package -n %libname
Summary:	Libraries for gerbv
Group:		Sciences/Other

%description -n %libname
Libraries for gerbv.

%package -n %develname
Summary:	Development files for gerbv
Group:		Sciences/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}

%description -n %develname
Development files for gerbv

%prep
%setup -q
%apply_patches

%build
./autogen.sh
%define _disable_ld_no_undefined 1
%configure2_5x \
	--disable-update-desktop-database \
	--disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

cp -fr doc example %buildroot%_datadir/%name

%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/gerbv
%{_mandir}/man1/gerbv.*
%dir %{_datadir}/gerbv
%{_datadir}/gerbv/gerbv_icon.ico
%{_datadir}/gerbv/doc
%{_datadir}/gerbv/scheme
%_iconsdir/hicolor/*/*/*
%_datadir/applications/*.desktop

%files examples
%{_datadir}/gerbv/example

%files -n %libname
%_libdir/*.so.%{major}*

%files -n %develname
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.6.1-2.mga4
+ Revision: 539642
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 juergen_harms <juergen_harms> 2.6.1-1.mga4
+ Revision: 492628
- add BuildRequires for gettext-devel
- upgrade to new upstream version (gerbv-2.6.1)
- remove obsolete configure options, add call to autogen.sh
- add patch against undefined ru translation file (OpenSuse)
- create patch against use of obsolete macro AM_CONFIG_HEADER
- resolve underlinking error (disable no-undefined flag)

  + wally <wally>
    - disable static build and get rid of .la file
    - add patch to fix odd build issue with new automake

* Sat Jan 12 2013 umeabot <umeabot> 2.6.0-5.mga3
+ Revision: 351404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 juergen_harms <juergen_harms> 2.6.0-4.mga3
+ Revision: 324199
- remove obsolte Requires for lib_canberra
- modify non-standard Group: item in specfile (Graphics -> Sciences/Other)
- add patch to correct the desktop-menu category (bugzilla #8257)

* Fri Mar 02 2012 juergen_harms <juergen_harms> 2.6.0-3.mga2
+ Revision: 216857
- correct libcanberra0 dependency

* Fri Feb 17 2012 juergen_harms <juergen_harms> 2.6.0-2.mga2
+ Revision: 210018
- import new release from upstream
- correct source URL at sourceforge
- add dependency on libcanberra-gtk0

* Sun Nov 20 2011 juergen_harms <juergen_harms> 2.5.0-1.mga2
+ Revision: 169669
- imported from Mdv 2011.1
- imported package gerbv


* Wed Mar 09 2011 Stéphane Téletchéa <steletch@mandriva.org> 2.5.0-1mdv2011.0
+ Revision: 643209
- update to new version 2.5.0

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.0-3mdv2011.0
+ Revision: 610842
- rebuild

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 2.4.0-2mdv2010.1
+ Revision: 511119
- new version 2.4.0

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 2.3.0-1mdv2010.1
+ Revision: 466087
- new version 2.3.0

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2010.0
+ Revision: 437670
- rebuild

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.1.0-1mdv2009.1
+ Revision: 319961
- new version 2.1.0

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-3mdv2009.0
+ Revision: 245941
- rebuild

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2008.1
+ Revision: 163358
- New version 2.0.0

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 140735
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import gerbv


* Fri Jun 09 2006 Stew Benedict <sbenedict@mandriva.com> 1.0.1-2mdv2007.0
- rebuild, P0 for gcc4

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 1.0.1-1mdk
- 1.0,1

* Thu Dec 16 2004 Stew Benedict <sbenedict@mandrakelinux.com>> 0.16-1mdk
- 1st Mandrakelinux release
- adapted from FC2 package by Wojciech Kazubski
